Skip to content
Login Sign up

Google Scholar Cite API

Get formatted citations for a Google Scholar article in multiple styles, plus export links for BibTeX, EndNote, RefMan, and RefWorks. Set engine=google_scholar_cite and pass the article citation ID in q.

GET https://serp.shifter.io/v1?engine=google_scholar_cite&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key
enginestringyesMust be google_scholar_cite
qstringyesThe Google Scholar citation ID
Terminal window
curl "https://serp.shifter.io/v1?engine=google_scholar_cite&api_key=YOUR_API_KEY&q=FDc6HiktlqEJ"
{
"search_parameters": {
"engine": "google_scholar_cite",
"google_domain": "scholar.google.com",
"device": "desktop",
"query": "FDc6HiktlqEJ"
},
"citations": [
{
"title": "MLA",
"snippet": "Schwertmann, U. T. R. M., and Reginald M. Taylor. \"Iron oxides.\" Minerals in soil environments 1 (1989): 379-438."
},
{
"title": "APA",
"snippet": "Schwertmann, U. T. R. M., & Taylor, R. M. (1989). Iron oxides. Minerals in soil environments, 1, 379-438."
},
{
"title": "Chicago",
"snippet": "Schwertmann, U. T. R. M., and Reginald M. Taylor. \"Iron oxides.\" Minerals in soil environments 1 (1989): 379-438."
}
],
"links": [
{ "name": "BibTeX", "link": "https://scholar.googleusercontent.com/scholar.bib?..." },
{ "name": "EndNote", "link": "https://scholar.googleusercontent.com/scholar.enw?..." },
{ "name": "RefMan", "link": "https://scholar.googleusercontent.com/scholar.ris?..." },
{ "name": "RefWorks", "link": "https://scholar.googleusercontent.com/scholar.rfw?..." }
]
}